/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 *
 */

package ru.ulstu.db.model;

import ru.ulstu.datamodel.ts.TimeSeries;

public class TimeSeriesMeta {
    private String key;
    private int size;
    private boolean hasDateTime;

    public TimeSeriesMeta() {
    }

    public TimeSeriesMeta(String key) {
        this.key = key;
    }

    public TimeSeriesMeta(TimeSeries timeSeries) {
        this.key = timeSeries.getKey();
        this.hasDateTime = timeSeries.getValues().stream().anyMatch(v -> v.getDate() != null);
        this.size = timeSeries.getLength();
    }

    public String getKey() {
        return key;
    }

    public int getSize() {
        return size;
    }

    public boolean isHasDateTime() {
        return hasDateTime;
    }
}
